Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.ListUserBlocksRequestParameters{
ConsiderBruteForceEnablement: management.Bool(
true,
),
}
client.UserBlocks.List(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.userBlocks.list("id", {
considerBruteForceEnablement: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.userBlocks.list("id", {
considerBruteForceEnablement: true,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/user-blocks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/user-blocks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"blocked_for": [
{
"identifier": "john.doe@gmail.com",
"ip": "10.0.0.1",
"connection": "<string>"
}
]
}Get a user's blocks
Retrieve details of all Brute-force Protection blocks for the user with the given ID.
GET
https://{tenantDomain}/api/v2
/
user-blocks
/
{id}
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.ListUserBlocksRequestParameters{
ConsiderBruteForceEnablement: management.Bool(
true,
),
}
client.UserBlocks.List(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.userBlocks.list("id", {
considerBruteForceEnablement: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.userBlocks.list("id", {
considerBruteForceEnablement: true,
});
}
main();Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
user_id of the user blocks to retrieve.
Paramètres de requête
If true and Brute Force Protection is enabled and configured to block logins, will return a list of blocked IP addresses.
If true and Brute Force Protection is disabled, will return an empty list.Réponse
User block successfully retrieved.
Array of identifier + IP address pairs. IP address is optional, and may be omitted in certain circumstances (such as Account Lockout mode).
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?
⌘I